when:
  branch: high-performance
  event: push

steps:
  - name: build-and-push
    image: woodpeckerci/plugin-docker-buildx
    settings:
      registry: ghcr.io
      repo: ghcr.io/traceworks2023/nxtgauge-frontend-solid
      dockerfile: Dockerfile
      tags:
        - high-performance-latest
      username:
        from_secret: GHCR_USERNAME
      password:
        from_secret: GHCR_TOKEN
      platforms: linux/amd64

